Package org.eclipse.rdf4j.sail.shacl.results

## Class ValidationReport

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.results.ValidationReport

- Direct Known Subclasses:
    `LazyValidationReport`

      @Deprecated
      public class ValidationReport
      extends Object

  Deprecated.
  The ValidationReport is deprecated because it is planned moved to a new package to allow it to be used with remote validation reports.
  The ValidationReport represents the report from a SHACL validation in an easy-to-use Java API.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `conforms` | Deprecated.
    `protected Resource` | `id` | Deprecated.
    `protected boolean` | `truncated` | Deprecated.
    `protected List<ValidationResult>` | `validationResult` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidationReport()` | Deprecated.
    `ValidationReport​(boolean conforms)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addValidationResult​(ValidationResult validationResult)` | Deprecated.
    `Model` | `asModel()` | Deprecated.
    `Model` | `asModel​(Model model)` | Deprecated.
    `boolean` | `conforms()` | Deprecated.
    `Resource` | `getId()` | Deprecated.
    `List<ValidationResult>` | `getValidationResult()` | Deprecated.
    `boolean` | `isTruncated()` | Deprecated. Users can enable a limit for the number of validation results they want to accept.
    `String` | `toString()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected final Resource id

      Deprecated.

    - #### conforms

          protected boolean conforms

      Deprecated.

    - #### validationResult

          protected final List<ValidationResult> validationResult

      Deprecated.

    - #### truncated

          protected boolean truncated

      Deprecated.

  - ### Constructor Detail

    - #### ValidationReport

          public ValidationReport()

      Deprecated.

    - #### ValidationReport

          public ValidationReport​(boolean conforms)

      Deprecated.

  - ### Method Detail

    - #### addValidationResult

          public void addValidationResult​(ValidationResult validationResult)

      Deprecated.

    - #### asModel

          public Model asModel​(Model model)

      Deprecated.

    - #### asModel

          public Model asModel()

      Deprecated.

    - #### getId

          public Resource getId()

      Deprecated.

    - #### conforms

          public boolean conforms()

      Deprecated.
      Returns:
        false if the changes violated a SHACL Shape

    - #### getValidationResult

          public List<ValidationResult> getValidationResult()

      Deprecated.
      Returns:
        list of ValidationResult with more information about each violation

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

    - #### isTruncated

          public boolean isTruncated()

      Deprecated.
      Users can enable a limit for the number of validation results they want to accept. If the limit is reached the report will be marked as truncated.
      Returns:
        true if this SHACL validation report has been truncated.